Subject: bug#7489: [coreutils] over aggressive threads in sort

From: Pádraig Brady <[email-masked]>
Date: Sat, 27 Nov 2010 03:32:37 +0000

On 27/11/10 03:00, DJ Lucas wrote:
> 
> Setting LANG/LC_ALL to C or
> POSIX works around it, as well as --parallel=1. I've added a quick and
> really ugly workaround in the interim so that I can continue and get
> some work done (using getenv("LC_COLLATE"), and testing only against !=
> POSIX and != C, setting nthreads=1). Confirmed that the correct encoding
> is displayed with --debug with the workaround in place.

Best workaround I think is to leave the code alone,
and set OMP_NUM_THREADS=1 in your env
as otherwise you may get invalid results
in any locale.

cheers,
Pádraig.